begin

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$ Define positive direction for current flow
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

convention positive_current_flow=inward

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$   Load structure and map materials
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

load_mesh mesh_inf=sj_mos.aps  suprem_import=yes
output sol_outf=CV_gate.out

suprem_to_apsys_material suprem_mater=3 apsys_mater=1
suprem_to_apsys_material suprem_mater=1 apsys_mater=2
suprem_to_apsys_material suprem_mater=4 apsys_mater=3
suprem_to_apsys_material suprem_mater=2 apsys_mater=4
suprem_to_apsys_material suprem_mater=6 apsys_mater=5

suprem_property user_material_mapping = yes

load_macro name= si mater= 1
load_macro name= sio2 mater= 2
load_macro name= poly mater= 3
load_macro name=sin mater=4
load_macro name=al mater=5

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$   Define contacts
$   Source=1
$   Gate=2
$   Drain=3
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

suprem_contact num=1 xrange=(0.0 10)  yrange=(-9999.000000 &&
9999.000000) touch_mater=5 side=upper

suprem_contact num=2 xrange=(3.4 10.0)  yrange=(0.1  &&
0.5) touch_mater=3 side=within

suprem_contact num=3 xrange=(0.0 10)  yrange=(-9999.000000 &&
9999.000000) touch_mater=1 side=lower

contact  num=1
contact  num=2
contact  num=3

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$  Define fixed oxide charge
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

interface model=charge within_y=(-0.1, 0.1) within_x=(0, 6.5) &&
 fix_charge=5e14

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$ Set carriers to fit leakage current
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

set_minority_carrier virtual_eg_kt=31

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$  Specify Lombardi Mobility and Chynoweth Impact Ionization Models
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

mobility_xy elec_field_model=lombardi hole_field_model=lombardi

impact_chynoweth mater=1
impact_chynoweth mater=2
impact_chynoweth mater=3
impact_chynoweth mater=4

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$  Specify output data and numerical parameters
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

$more_output space_charge=yes impact_ionization=yes ac_data=yes &&
 $elec_mobility=yes hole_mobility=yes

more_output ac_data=yes

newton_par damping_step=8. var_tol=1.e-2 res_tol=1.e-2 &&
  max_iter=25 opt_iter=15 stop_iter=15

equilibrium

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$  Scan drain voltage to breakdown
$  Then scan current once avalanche occurs
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

scan var=voltage_2 value_to=2 min_step=1e-6 max_step=1.0 &&
init_step=0.001

scan var=voltage_2 value_to=0  &&
  init_step=0.01 min_step=1.e-4 max_step=.05 print_step=0.05

end