begin
convention positive_current_flow=inward
load_mesh mesh_inf=sj_mos.aps  suprem_import=yes
output sol_outf=Qg_Apsys.out

suprem_to_apsys_material suprem_mater=3 apsys_mater=1
suprem_to_apsys_material suprem_mater=1 apsys_mater=2
suprem_to_apsys_material suprem_mater=4 apsys_mater=3
suprem_to_apsys_material suprem_mater=2 apsys_mater=4
suprem_to_apsys_material suprem_mater=6 apsys_mater=5

suprem_property user_material_mapping = yes

load_macro name= si mater= 1
load_macro name= sio2 mater= 2
load_macro name= poly mater= 3
load_macro name=sin mater=4
load_macro name=al mater=5

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$   Define contacts
$   Source=1
$   Gate=2
$   Drain=3
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

suprem_contact num=1 xrange=(0.0 10)  yrange=(-9999.000000 &&
9999.000000) touch_mater=5 side=upper

suprem_contact num=2 xrange=(3.4 10.0)  yrange=(0.1  &&
0.5) touch_mater=3 side=within

suprem_contact num=3 xrange=(0.0 10)  yrange=(-9999.000000 &&
9999.000000) touch_mater=1 side=lower

contact  num=1
contact  num=2
contact  num=3


lifetime_n value=1.e-6 mater=1
lifetime_p value=1.e-6 mater=1

$minispice circuit_file=SiC_switching.cir z_dim=1.62e6 &&
minispice circuit_file=Qg_netlist.cir  &&
spice_device_to_tcadmesh=SJ_MOS &&
contact1_to_spice_node=0 &&
contact2_to_spice_node=2 &&
contact3_to_spice_node=3

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

$  Define well and source doping profiles analytically

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$





$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$


$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

$  Set the channel mobility parameters
$  Use optimized Lombardi coefficients based on Kimoto and Cooper

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$



mobility_xy elec_field_model=lombardi hole_field_model=lombardi

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$  Set virtual minority carrier concentration to improve convergence
$  This is critical for wide-bandgap BV simulation
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

$set_minority_carrier virtual_eg_kt=30

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$  Scale the active areas--Die size =0.069 cm^2
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$


3d_solution_method skip_fv_data=yes
z_structure single_plane_zdim=1.66e6

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$
$   Impact ionization models for SiC
$   Choose coefficients from Loh et al, TED 2008
$   in this example
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

$ Loh/GE Coefficinets
impact_chynoweth mater = 1



$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$  Equilibrium solution
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$



newton_par damping_step=5. max_iter=150 print_flag=3 &&
var_tol=0.1 res_tol=0.1
equilibrium

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$  Use virtual time to set DC operating point
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$


newton_par damping_step=5. var_tol=0.01 res_tol=0.01 &&
  max_iter=30 opt_iter=15 stop_iter=8

scan var=virtual_time value_to=1 init_step=0.01 min_step=1e-5 &&
max_step=0.1

newton_par damping_step=5 var_tol=1e-1 res_tol=1e-1 max_iter=30  &&
    opt_iter=15 stop_iter=8

scan var=time value_to=2e-6 init_step=1e-9 min_step=1e-14 &&
max_step=0.5e-7

$scan var=time value_to=2e-6 init_step=1e-9 min_step=1e-14 &&
$max_step=0.25e-7

end